/* Grid Container */
@import url('https://fonts.googleapis.com/css2?family=DM+Sans:ital,opsz,wght@0,9..40,100..1000;1,9..40,100..1000&display=swap');

:root {
  --font-dm-sans: 'DM Sans', sans-serif;
  --font-size-h1: 48px;
  --section-spacer: 40px;
}

.single-qr-producto {
  font-family: 'DM Sans', sans-serif;
  background-color: #E5E5E5;
}

.single-qr-producto .mk-header-bg {
  background-color: #E5E5E5;
}

.single-qr-producto .mk-header-inner {
  border-bottom: none;
}

.single-qr-producto .mk-header-toolbar {
  display: none;
}

.mk-header.header-style-1 .mk-header-inner,
.add-header-height, 
.mk-header.header-style-1 .mk-header-inner,
.mk-header.header-style-3 .mk-header-inner,
.mk-header.header-style-3 .header-logo,
.mk-header.header-style-1 .header-logo,
.mk-header.header-style-1 .shopping-cart-header,
.mk-header.header-style-3 .shopping-cart-header {
  height: 75px !important;
}

.section-block {
  padding: var(--section-spacer) 0;
}

.container {
  width: 100%;
  max-width: 1200px;
  margin: 0 auto;
  padding: 1.5625rem;
}

.container--md {
  max-width: 1000px;
}

.grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 1.5rem;
  width: 100%;
}

.grid-cols-2 {
  grid-template-columns: repeat(2, minmax(0, 1fr));
}

.gap-grid {
  gap: 4vw;
}

.master-holder h1.entry-title,
.master-holder .entry-excerpt,
.master-holder h2.section-title,
.master-holder .qr-related-card__title,
.master-holder p {
  color: #000;
}

.master-holder h1.entry-title {
  font-size: var(--font-size-h1);
  font-weight: 500;
}

.master-holder .entry-excerpt {
  font-size: 32px;
  font-weight: 300;
  margin-bottom: 1.5rem;
}

.master-holder h2.section-title {
  font-size: 32px;
  font-weight: 500;
  margin-bottom: 2rem;
}

.product-featured-image {
  width: 100%;
  height: auto;
}

.qr-categories-tags {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  margin-bottom: 1rem;
}

.qr-category-tag {
  display: inline-flex;
  align-items: center;
  gap: 0.5rem;
  border-radius: 4px;
  padding: 0.5rem 0.75rem;
  font-size: 14px;
  line-height: 1;
  font-weight: 600;
  color: #fff;
  text-transform: uppercase;
}

.qr-category-tag img {
  width: 21px;
}
.accordion-wrapper {
  border-top: 1px solid rgba(0, 0, 0, 0.3);
}
.accordion-block,
.downloads-list {
  list-style: none;
  padding: 0;
  margin: 0;
}
.accordion-block .accordion-item {
  border-bottom: 1px solid rgba(0, 0, 0, 0.3);
  margin: 0;
}
.accordion-block .accordion-item .accordion-button {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: transparent;
  text-align: left;
  padding: 1rem;
  font-size: 1.5rem;
  font-weight: 500;
  color: #000;
  text-transform: none;
  cursor: pointer;
}
.accordion-block .accordion-item .accordion-button .accordion-button__text {
  padding-right: 2rem;
}
.accordion-block .accordion-item .accordion-button .accordion-button__icon {
  font-size: 2rem;
  font-weight: 300;
}
.accordion-block .accordion-item .accordion-inner {
  overflow: hidden;
  display: none;
  padding: 0.25rem 1rem 1.5rem 1rem;
}
.accordion-block .accordion-item .accordion-inner .wysiwyg-block {
  color: #000;
}

.accordion-block .accordion-item.is-open .plus,
.accordion-block .accordion-item .minus {
  display: none;
}

.accordion-block .accordion-item.is-open .minus {
  display: inline;
}

.wysiwyg-block p,
.wysiwyg-block ul {
  font-size: 18px;
}

.downloads-list {
  border-top: 1px solid rgba(0, 0, 0, 0.3);
}

.download-item {
  margin: 0;
  border-bottom: 1px solid rgba(0, 0, 0, 0.3);
}

.download-item a {
  display: block;
  width: 100%;
  width: -webkit-fill-available;
  padding: 1rem 0;
  margin: 0 1rem;
  font-size: 20px;
  font-weight: 500;
  color: #000;
  overflow: hidden;
  position: relative;
}

.download-item .arrow,
.download-item .download {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  transition: transform 0.2s ease, opacity 0.15s linear;
  opacity: 0;
  display: inline-flex;
  align-items: center;
}

.download-item .arrow {
  transform: translate(-35px, -50%);
}

.download-item .download {
  right: 0;
}

.download-item a {
  margin: 0 0.5rem;
}

.download-item a .title {
  font-size: 20px;
  color: #000;
}

.download-item a .title {
  display: inline-block;
  transition: transform 0.2s ease;
}

.download-item a:hover {
  color: #000;
}

.download-item a:hover .title {
  transform: translateX(35px);
}

.download-item a:hover .arrow {
  opacity: 1;
  transform: translate(0, -50%);
}

.download-item a:hover .download {
  opacity: 1;
}

/* Gallery Slider */
.qr-slider {
  overflow: hidden;
}

.qr-slider-wrapper {
  position: relative;
  margin-bottom: 1.5rem;
}

.qr-gallery-slider {
  width: 100%;
  border-radius: 8px;
  overflow: visible;
}

.qr-gallery-slider .swiper-slide {
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 8px;
}

.qr-gallery-slider .swiper-slide img {
  border-radius: 20px;
}

.qr-gallery-slider .swiper-slide .aspect-ratio {
  width: 100%;
}

.qr-gallery-slider .swiper-button-prev,
.qr-gallery-slider .swiper-button-next {
  width: 25px;
  height:25px;
  top: -42px;
  transition: transform 0.2s ease;
  transform-origin: left center;
}

.qr-gallery-slider .swiper-button-prev::after,
.qr-gallery-slider .swiper-button-next::after {
  display: none;
}

.qr-gallery-slider .swiper-button-prev {
  left: calc(100% - 90px);
  transform-origin: right center;
}

.qr-gallery-slider .swiper-button-prev:hover,
.qr-gallery-slider .swiper-button-next:hover {
  transform: scale(1.35);
}

.aspect-ratio {
	 --item-width: 365;
	 --item-height: 352;

	 padding-top: calc(var(--item-height) / var(--item-width) * 100%);
	 position: relative;
	 overflow: hidden;
	 line-height: 0;
	 transform: translateZ(0);
}

.qr-slider-wrapper .aspect-ratio > img,
.aspect-ratio > img,
.aspect-ratio > video,
.aspect-ratio > iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.aspect-ratio > img, .aspect-ratio > video {
	object-fit: cover;
}

.qr-video-wrapper .aspect-ratio {
	 --item-width: 1128;
	 --item-height: 625;

   border-radius: 20px;
}

/* Related Products Grid */
.qr-related-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1.25rem;
}

.qr-related-card {
  display: flex;
  flex-direction: column;
  text-decoration: none;
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.qr-related-card:hover {
  transform: translateY(-4px);
}

.qr-related-card__image {
  --item-width: 360;
	--item-height: 347;

  width: 100%;
  overflow: hidden;
  background: rgba(255, 255, 255, 0.3);
  border-radius: 12px;
  margin-bottom: 1.5rem;
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.theme-content .qr-related-card__img {
  width: auto;
  height: 90%;
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: transform 0.3s ease;
}

.qr-related-card:hover .qr-related-card__image {
   box-shadow: 0 8px 24px rgba(0, 0, 0, 0.12);
}

.master-holder .qr-related-card__title {
  font-size: 24px;
  font-weight: 400;
  margin-bottom: 0.25rem;
}

.qr-related-card__excerpt {
  font-size: 18px;
}

.wpcf7-form .wpcf7-text, .wpcf7-form .wpcf7-textarea {
  width: 100%;
}

.qr-contact-form-container {
  background-color: rgba(255, 255, 255, 0.30);
  border-radius: 20px;
  padding: 5vw 8vw;
}

.qr-contact-form-container .section-title {
  padding: 0 15px;
}

.qr-contact-form-container input[type=email], 
.qr-contact-form-container input[type=password], 
.qr-contact-form-container input[type=search], 
.qr-contact-form-container input[type=tel], 
.qr-contact-form-container input[type=text], 
.qr-contact-form-container input[type=url], 
.qr-contact-form-container textarea,
#theme-page.master-holder .qr-contact-form-container select:not(.gfield_select),
.qr-contact-form-container input[type=email]:focus,
.qr-contact-form-container input[type=password]:focus,
.qr-contact-form-container input[type=search]:focus,
.qr-contact-form-container input[type=tel]:focus,
.qr-contact-form-container input[type=text]:focus,
.qr-contact-form-container input[type=url]:focus,
.qr-contact-form-container textarea:focus {
  background-color: rgba(255, 255, 255, 0.3) !important;
  border: 1px solid #000;
  border-radius: 8px;
  font-size: 16px !important;
  color: #000 !important;
}

.qr-contact-form-container input::placeholder,
.qr-contact-form-container textarea::placeholder,
.qr-contact-form-container .wpcf7-form p,
.qr-contact-form-container .col_contact_form a {
  font-family: 'Roboto', sans-serif;
  color: #000 !important;
}

.qr-contact-form-container .wpcf7-form p {
  font-size: 16px;
  font-weight: 400;
}

.qr-contact-form-container .col_contact_form a {
  text-decoration: underline;
}

.qr-contact-form-container .col_contact_form a:hover {
  opacity: 0.6;
}

.qr-contact-form-container .btnDefault .mk-button {
  border: none;
  border-radius: 10px;
  background-color: #C4C4C4;
  color: #000;
  font-size: 20px;
  font-weight: 400;
  text-transform: none;
}

.qr-contact-form-container .btnDefault .mk-button:hover {
  background-color: #000;
  color: #fff;
  border: none;
}

.single-qr-producto .header-logo img {
  width: 100px;
  height: 30px !important;
}

@media (max-width: 900px) {
  .qr-related-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 640px) {
  :root {
    --font-size-h1: 40px;
    --section-spacer: 20px;
  }

  .container {
    padding: 20px;
  }

  .grid {
    grid-template-columns: 1fr;
    gap: 2rem;
  }

  .grid-cols-2 {
    grid-template-columns: 1fr;
  }

  .qr-slider .section-title {
    max-width: 244px;
  }

  .master-holder .entry-excerpt {
    font-size: 24px;
  }

  .master-holder p {
    font-size: 18px;
  }

  .master-holder h2.section-title {
    font-size: 28px;
    margin-bottom: 1rem;
  }

  .accordion-block .accordion-item .accordion-button {
    font-size: 1.25rem;
    padding: 0.5rem;
  }

  .qr-related-grid {
    grid-template-columns: 1fr;
  }

  .qr-contact-form-container {
    padding: 1.625rem 1rem;
  }

  .download-link .arrow {
    display: none;
  }

  .download-item .download {
    opacity: 1;
  }

  .download-item .title {
    padding-right: 1.5rem;
  }

  .download-item a:hover .title {
    transform: none;
  }
}
